<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>添加轮播图</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md6">
            <div class="layui-card">

                <div class="layui-card-body">
                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-form-item">
                            <label class="layui-form-label"><font color='red' size="4">*</font>轮播图：</label>
                            <div class="layui-input-block">
                                <button type="button" class="layui-btn-sm" id="banner_img">上传图片</button>
                                <br><br>
                                <img class="layui-upload-img" id="banner_img_demo" style="max-height: 100px;">
                            </div>
                        </div>

                        <button class="layui-btn" id="id_save" lay-submit lay-filter="component-form-element"
                                style="display: none">保存
                        </button>
                        <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
    }).use(['index', 'form', 'utils', 'upload'], function () {
        var $ = layui.$
            , upload = layui.upload
            , form = layui.form;

        var url = '/option/poster/'
        upload.render({
            elem: "#banner_img",
            url: url,
            auto: false,
            field: 'banner_img',
            bindAction: "#upload_image",
            choose: function (obj) {
                obj.preview(
                    function (index, file, result) {
                        $("#banner_img_demo").attr("src", result)
                    }
                )
            },
            done: function (res) {
                if (res.code != 0) {
                    layer.msg(res.msg);
                } else {
                    layer.open({
                        type: 1
                        , content: '<div style="padding: 20px 100px;">保存成功</div>'
                        , btn: '关闭'
                        , btnAlign: 'c' //按钮居中
                        , shade: 0 //不显示遮罩
                        , yes: function () {
                            parent.layer.closeAll('iframe');
                            parent.layui.table.reload('datagrid', {});
                        }
                    });
                }
            },
            error: function () {
                layer.msg('保存失败');
            }
        });

        form.on('submit(component-form-element)', function (data) {
            //layer.msg(JSON.stringify(data.field));

            if (!data.field.enable) {
                data.field.enable = 0
            }
            if (!data.field.banner_img) {
                layer.msg('请选择轮播图图片');
                return false;
            }
            setTimeout($('#upload_image').click(), 30000)

            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
